Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistrySupportedStatus.Status

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistrySupportedStatus.Status

Enclosing class:
  EPPRegistrySupportedStatus

    public class EPPRegistrySupportedStatus.Status

extends java.lang.Object

Defines constants for statuses.

Author:
  ljia

Field Summary
`static java.lang.String` | `CONTACT_CLIENTDELETEPROHIBITED`
`static java.lang.String` | `CONTACT_CLIENTTRANSFERPROHIBITED`
`static java.lang.String` | `CONTACT_CLIENTUPDATEPROHIBITED`
`static java.lang.String` | `CONTACT_LINKED`
`static java.lang.String` | `CONTACT_OK`
`static java.lang.String` | `CONTACT_PENDINGCREATE`
`static java.lang.String` | `CONTACT_PENDINGDELETE`
`static java.lang.String` | `CONTACT_PENDINGTRANSFER`
`static java.lang.String` | `CONTACT_PENDINGUPDATE`
`static java.lang.String` | `CONTACT_SERVERDELETEPROHIBITED`
`static java.lang.String` | `CONTACT_SERVERTRANSFERPROHIBITED`
`static java.lang.String` | `CONTACT_SERVERUPDATEPROHIBITED`
`static java.lang.String` | `DOMAIN_CLIENTDELETEPROHIBITED`
`static java.lang.String` | `DOMAIN_CLIENTHOLD`
`static java.lang.String` | `DOMAIN_CLIENTRENEWPROHIBITED`
`static java.lang.String` | `DOMAIN_CLIENTTRANSFERPROHIBITED`
`static java.lang.String` | `DOMAIN_CLIENTUPDATEPROHIBITED`
`static java.lang.String` | `DOMAIN_INACTIVE`
`static java.lang.String` | `DOMAIN_OK`
`static java.lang.String` | `DOMAIN_PENDINGCREATE`
`static java.lang.String` | `DOMAIN_PENDINGDELETE`
`static java.lang.String` | `DOMAIN_PENDINGRENEW`
`static java.lang.String` | `DOMAIN_PENDINGTRANSFER`
`static java.lang.String` | `DOMAIN_PENDINGUPDATE`
`static java.lang.String` | `DOMAIN_SERVERDELETEPROHIBITED`
`static java.lang.String` | `DOMAIN_SERVERHOLD`
`static java.lang.String` | `DOMAIN_SERVERRENEWPROHIBITED`
`static java.lang.String` | `DOMAIN_SERVERTRANSFERPROHIBITED`
`static java.lang.String` | `DOMAIN_SERVERUPDATEPROHIBITED`
`static java.lang.String` | `HOST_CLIENTDELETEPROHIBITED`
`static java.lang.String` | `HOST_CLIENTUPDATEPROHIBITED`
`static java.lang.String` | `HOST_LINKED`
`static java.lang.String` | `HOST_OK`
`static java.lang.String` | `HOST_PENDINGCREATE`
`static java.lang.String` | `HOST_PENDINGDELETE`
`static java.lang.String` | `HOST_PENDINGTRANSFER`
`static java.lang.String` | `HOST_PENDINGUPDATE`
`static java.lang.String` | `HOST_SERVERDELETEPROHIBITED`
`static java.lang.String` | `HOST_SERVERUPDATEPROHIBITED`

Constructor Summary
`EPPRegistrySupportedStatus.Status()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOMAIN_CLIENTDELETEPROHIBITED

    public static final java.lang.String DOMAIN_CLIENTDELETEPROHIBITED

See Also:
  Constant Field Values

### DOMAIN_SERVERDELETEPROHIBITED

    public static final java.lang.String DOMAIN_SERVERDELETEPROHIBITED

See Also:
  Constant Field Values

### DOMAIN_CLIENTHOLD

    public static final java.lang.String DOMAIN_CLIENTHOLD

See Also:
  Constant Field Values

### DOMAIN_SERVERHOLD

    public static final java.lang.String DOMAIN_SERVERHOLD

See Also:
  Constant Field Values

### DOMAIN_CLIENTRENEWPROHIBITED

    public static final java.lang.String DOMAIN_CLIENTRENEWPROHIBITED

See Also:
  Constant Field Values

### DOMAIN_SERVERRENEWPROHIBITED

    public static final java.lang.String DOMAIN_SERVERRENEWPROHIBITED

See Also:
  Constant Field Values

### DOMAIN_CLIENTTRANSFERPROHIBITED

    public static final java.lang.String DOMAIN_CLIENTTRANSFERPROHIBITED

See Also:
  Constant Field Values

### DOMAIN_SERVERTRANSFERPROHIBITED

    public static final java.lang.String DOMAIN_SERVERTRANSFERPROHIBITED

See Also:
  Constant Field Values

### DOMAIN_CLIENTUPDATEPROHIBITED

    public static final java.lang.String DOMAIN_CLIENTUPDATEPROHIBITED

See Also:
  Constant Field Values

### DOMAIN_SERVERUPDATEPROHIBITED

    public static final java.lang.String DOMAIN_SERVERUPDATEPROHIBITED

See Also:
  Constant Field Values

### DOMAIN_INACTIVE

    public static final java.lang.String DOMAIN_INACTIVE

See Also:
  Constant Field Values

### DOMAIN_OK

    public static final java.lang.String DOMAIN_OK

See Also:
  Constant Field Values

### DOMAIN_PENDINGCREATE

    public static final java.lang.String DOMAIN_PENDINGCREATE

See Also:
  Constant Field Values

### DOMAIN_PENDINGDELETE

    public static final java.lang.String DOMAIN_PENDINGDELETE

See Also:
  Constant Field Values

### DOMAIN_PENDINGRENEW

    public static final java.lang.String DOMAIN_PENDINGRENEW

See Also:
  Constant Field Values

### DOMAIN_PENDINGTRANSFER

    public static final java.lang.String DOMAIN_PENDINGTRANSFER

See Also:
  Constant Field Values

### DOMAIN_PENDINGUPDATE

    public static final java.lang.String DOMAIN_PENDINGUPDATE

See Also:
  Constant Field Values

### HOST_CLIENTDELETEPROHIBITED

    public static final java.lang.String HOST_CLIENTDELETEPROHIBITED

See Also:
  Constant Field Values

### HOST_SERVERDELETEPROHIBITED

    public static final java.lang.String HOST_SERVERDELETEPROHIBITED

See Also:
  Constant Field Values

### HOST_CLIENTUPDATEPROHIBITED

    public static final java.lang.String HOST_CLIENTUPDATEPROHIBITED

See Also:
  Constant Field Values

### HOST_SERVERUPDATEPROHIBITED

    public static final java.lang.String HOST_SERVERUPDATEPROHIBITED

See Also:
  Constant Field Values

### HOST_LINKED

    public static final java.lang.String HOST_LINKED

See Also:
  Constant Field Values

### HOST_OK

    public static final java.lang.String HOST_OK

See Also:
  Constant Field Values

### HOST_PENDINGCREATE

    public static final java.lang.String HOST_PENDINGCREATE

See Also:
  Constant Field Values

### HOST_PENDINGDELETE

    public static final java.lang.String HOST_PENDINGDELETE

See Also:
  Constant Field Values

### HOST_PENDINGTRANSFER

    public static final java.lang.String HOST_PENDINGTRANSFER

See Also:
  Constant Field Values

### HOST_PENDINGUPDATE

    public static final java.lang.String HOST_PENDINGUPDATE

See Also:
  Constant Field Values

### CONTACT_CLIENTDELETEPROHIBITED

    public static final java.lang.String CONTACT_CLIENTDELETEPROHIBITED

See Also:
  Constant Field Values

### CONTACT_SERVERDELETEPROHIBITED

    public static final java.lang.String CONTACT_SERVERDELETEPROHIBITED

See Also:
  Constant Field Values

### CONTACT_CLIENTTRANSFERPROHIBITED

    public static final java.lang.String CONTACT_CLIENTTRANSFERPROHIBITED

See Also:
  Constant Field Values

### CONTACT_SERVERTRANSFERPROHIBITED

    public static final java.lang.String CONTACT_SERVERTRANSFERPROHIBITED

See Also:
  Constant Field Values

### CONTACT_CLIENTUPDATEPROHIBITED

    public static final java.lang.String CONTACT_CLIENTUPDATEPROHIBITED

See Also:
  Constant Field Values

### CONTACT_SERVERUPDATEPROHIBITED

    public static final java.lang.String CONTACT_SERVERUPDATEPROHIBITED

See Also:
  Constant Field Values

### CONTACT_LINKED

    public static final java.lang.String CONTACT_LINKED

See Also:
  Constant Field Values

### CONTACT_OK

    public static final java.lang.String CONTACT_OK

See Also:
  Constant Field Values

### CONTACT_PENDINGCREATE

    public static final java.lang.String CONTACT_PENDINGCREATE

See Also:
  Constant Field Values

### CONTACT_PENDINGDELETE

    public static final java.lang.String CONTACT_PENDINGDELETE

See Also:
  Constant Field Values

### CONTACT_PENDINGTRANSFER

    public static final java.lang.String CONTACT_PENDINGTRANSFER

See Also:
  Constant Field Values

### CONTACT_PENDINGUPDATE

    public static final java.lang.String CONTACT_PENDINGUPDATE

See Also:
  Constant Field Values

Constructor Detail

### EPPRegistrySupportedStatus.Status

    public EPPRegistrySupportedStatus.Status()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.